summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/xen/dom0/kernel-xen.sh2
-rw-r--r--system/xen/patches/use_already_present_ipxe.diff14
-rw-r--r--system/xen/xen.SlackBuild10
-rw-r--r--system/xen/xen.info6
4 files changed, 19 insertions, 13 deletions
diff --git a/system/xen/dom0/kernel-xen.sh b/system/xen/dom0/kernel-xen.sh
index d081a77a4f..05ee8783bf 100644
--- a/system/xen/dom0/kernel-xen.sh
+++ b/system/xen/dom0/kernel-xen.sh
@@ -6,7 +6,7 @@
# Updated by mario <mario@slackverse.org>, 2010-2013
KERNEL=${KERNEL:-3.2.45}
-XEN=${XEN:-4.2.2}
+XEN=${XEN:-4.3.0}
BOOTLOADER=${BOOTLOADER:-lilo}
ROOTMOD=${ROOTMOD:-ext4}
diff --git a/system/xen/patches/use_already_present_ipxe.diff b/system/xen/patches/use_already_present_ipxe.diff
index 6962616f71..631b2b00f4 100644
--- a/system/xen/patches/use_already_present_ipxe.diff
+++ b/system/xen/patches/use_already_present_ipxe.diff
@@ -1,15 +1,21 @@
---- xen-4.2.0/tools/firmware/etherboot/Makefile.ORIG 2012-09-17 12:21:18.000000000 +0200
-+++ xen-4.2.0/tools/firmware/etherboot/Makefile 2012-09-18 13:39:39.466352815 +0200
-@@ -28,12 +28,6 @@
+--- xen-4.3.0/tools/firmware/etherboot/Makefile.ORIG 2013-07-09 12:46:56.000000000 +0200
++++ xen-4.3.0/tools/firmware/etherboot/Makefile 2013-07-28 13:34:32.994197893 +0200
+@@ -28,12 +28,12 @@
$(MAKE) -C $D/src bin/$(*F).rom
$T:
-- if ! wget -O _$T $(IPXE_TARBALL_URL); then \
+- if ! $(FETCHER) _$T $(IPXE_TARBALL_URL); then \
- $(GIT) clone $(IPXE_GIT_URL) $D.git; \
- (cd $D.git && $(GIT) archive --format=tar --prefix=$D/ \
- $(IPXE_GIT_TAG) | gzip >../_$T); \
- rm -rf $D.git; \
- fi
++# if ! $(FETCHER) _$T $(IPXE_TARBALL_URL); then \
++# $(GIT) clone $(IPXE_GIT_URL) $D.git; \
++# (cd $D.git && $(GIT) archive --format=tar --prefix=$D/ \
++# $(IPXE_GIT_TAG) | gzip >../_$T); \
++# rm -rf $D.git; \
++# fi
mv _$T $T
$D/src/arch/i386/Makefile: $T Config
diff --git a/system/xen/xen.SlackBuild b/system/xen/xen.SlackBuild
index fe6a287ce5..665b79eaf4 100644
--- a/system/xen/xen.SlackBuild
+++ b/system/xen/xen.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xen
-VERSION=${VERSION:-4.2.2}
+VERSION=${VERSION:-4.3.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -123,7 +123,7 @@ make install-docs \
DESTDIR=$PKG
# Remove useless symlinks in boot/
-find $PKG/boot/ -type l -a -name "xen-*" -exec rm -f {} \;
+find $PKG/boot/ -type l -a -name "xen-*" -exec rm -f {} \; 2>/dev/null || true
# Move from SYSV to BSD init scripts
mv $PKG/etc/rc.d/init.d/xen-watchdog $PKG/etc/rc.d/rc.xen-watchdog.new
@@ -132,8 +132,8 @@ mv $PKG/etc/rc.d/init.d/xend $PKG/etc/rc.d/rc.xend.new
mv $PKG/etc/rc.d/init.d/xendomains $PKG/etc/rc.d/rc.xendomains.new
# Fully qualified paths are needed for /etc/rc.d/rc.local_shutdown
-sed -i 's:\(^[[:space:]]*\)xend :\1/usr/sbin/xend : ' $PKG/etc/rc.d/rc.xend.new
-sed -i 's:CMD=x\([m|l]\):CMD=/usr/sbin/x\1:' $PKG/etc/rc.d/rc.xendomains.new
+#sed -i 's:\(^[[:space:]]*\)xend :\1/usr/sbin/xend : ' $PKG/etc/rc.d/rc.xend.new
+#sed -i 's:CMD=x\([m|l]\):CMD=/usr/sbin/x\1:' $PKG/etc/rc.d/rc.xendomains.new
# Put udev rules files in the right place
mkdir -p $PKG/lib/udev/rules.d
@@ -142,7 +142,7 @@ mv $PKG/etc/udev/rules.d/xen*.rules $PKG/lib/udev/rules.d/
# Remove empty directories
rmdir $PKG/etc/{rc.d/init.d,udev/rules.d,udev}
# Only if they are really empty
-rmdir --ignore-fail-on-non-empty $PKG/usr/doc/$PRGNAM-$VERSION/{pdf,ps}
+#rmdir --ignore-fail-on-non-empty $PKG/usr/doc/$PRGNAM-$VERSION/{pdf,ps}
# Append .new to config files
for i in $PKG/etc/xen/{*.conf,*.sxp,*.xml} ; do mv $i $i.new ; done
diff --git a/system/xen/xen.info b/system/xen/xen.info
index c01fb790c4..77de85d01f 100644
--- a/system/xen/xen.info
+++ b/system/xen/xen.info
@@ -1,14 +1,14 @@
PRGNAM="xen"
-VERSION="4.2.2"
+VERSION="4.3.0"
HOMEPAGE="http://www.xen.org/"
-DOWNLOAD="http://bits.xensource.com/oss-xen/release/4.2.2/xen-4.2.2.tar.gz \
+DOWNLOAD="http://bits.xensource.com/oss-xen/release/4.3.0/xen-4.3.0.tar.gz \
http://xenbits.xensource.com/xen-extfiles/ipxe-git-9a93db3f0947484e30e753bbd61a10b17336e20e.tar.gz \
http://xenbits.xensource.com/xen-extfiles/lwip-1.3.0.tar.gz \
http://xenbits.xensource.com/xen-extfiles/zlib-1.2.3.tar.gz \
http://xenbits.xensource.com/xen-extfiles/newlib-1.16.0.tar.gz \
http://xenbits.xensource.com/xen-extfiles/pciutils-2.2.9.tar.bz2 \
http://xenbits.xensource.com/xen-extfiles/grub-0.97.tar.gz"
-MD5SUM="f7362b19401a47826f2d8fd603a1782a \
+MD5SUM="7b18cfb58f1ac2ce39cf35a1867f0c0a \
7496268cebf47d5c9ccb0696e3b26065 \
36cc57650cffda9a0269493be2a169bb \
debc62758716a169df9f62e6ab2bc634 \